# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.authn.AssertionResult.IUsernameStage

Packages that use AssertionResult.IUsernameStage
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.authn
This package has authentication APIs for WebAuthn.

## Uses of AssertionResult.IUsernameStage in net.shibboleth.idp.plugin.authn.webauthn.authn

Classes in net.shibboleth.idp.plugin.authn.webauthn.authn that implement AssertionResult.IUsernameStage
Modifier and Type
Class
Description
`static final class`
`AssertionResult.Builder`
The `AssertionResult` builder.
Methods in net.shibboleth.idp.plugin.authn.webauthn.authn that return AssertionResult.IUsernameStage
Modifier and Type
Method
Description
`AssertionResult.IUsernameStage`
AssertionResult.Builder.`withSuccess(boolean successIn)`
`AssertionResult.IUsernameStage`
AssertionResult.ISuccessStage.`withSuccess(boolean success)`
Set if this assertion was verified.